Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class ConverterCollections.ConverterMapListener

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.ConverterCollections.ConverterMapListener`

All Implemented Interfaces:
  MapListener, java.util.EventListener

Enclosing class:
  ConverterCollections

      public static class ConverterCollections.ConverterMapListener

extends Base
implements MapListener

A converter MapListener that converts events of the underlying MapListener for the underlying map.

Field Summary
`protected Converter` | `m_convKey` The Converter to view an underlying CacheEvent's key.
`protected Converter` | `m_convVal` The Converter to view an underlying CacheEvent's value.
`protected MapListener` | `m_listener` The underlying MapListener.
`protected ObservableMap` | `m_map` The converting Map the will be the source of converted events.

Constructor Summary
`ConverterCollections.ConverterMapListener(ObservableMap map, MapListener listener, Converter convKey, Converter convVal)` Constructor.

Method Summary
`void` | `entryDeleted(MapEvent evt)` Invoked when a map entry has been removed.
`void` | `entryInserted(MapEvent evt)` Invoked when a map entry has been inserted.
`void` | `entryUpdated(MapEvent evt)` Invoked when a map entry has been updated.
`boolean` | `equals(java.lang.Object o)` Compare the ConverterMapListener with another object to determine equality.
`Converter` | `getConverterKeyUp()` Return the Converter used to view an underlying CacheEvent's key through.
`Converter` | `getConverterValueUp()` Return the Converter used to view an underlying CacheEvent's value through.
`MapListener` | `getMapListener()` Return the underlying MapListener.
`ObservableMap` | `getObservableMap()` Return the underlying ObservableMap.
`int` | `hashCode()` Determine a hash value for the WrapperSynchronousListener object according to the general `Object.hashCode()` contract.

Field Detail

### m_map

    protected ObservableMap m_map

  The converting Map the will be the source of converted events.

### m_listener

    protected MapListener m_listener

  The underlying MapListener.

### m_convKey

    protected Converter m_convKey

  The Converter to view an underlying CacheEvent's key.

### m_convVal

    protected Converter m_convVal

  The Converter to view an underlying CacheEvent's value.

Constructor Detail

### ConverterCollections.ConverterMapListener

    public ConverterCollections.ConverterMapListener(ObservableMap map,
                                                     MapListener listener,
                                                     Converter convKey,
                                                     Converter convVal)

  Constructor.
  Parameters:
    `map` - the Map that should be the source for converted events
    `listener` - the underlying MapListener
    `convKey` - the Converter to view the underlying MapEvent's key
    `convVal` - the Converter to view the underlying MapEvent's values

Method Detail

### entryInserted

    public void entryInserted(MapEvent evt)

  Invoked when a map entry has been inserted.
  Specified by:
    `entryInserted` in interface `MapListener`
  Parameters:
    `evt` - the MapEvent carrying the insert information

### entryUpdated

    public void entryUpdated(MapEvent evt)

  Invoked when a map entry has been updated.
  Specified by:
    `entryUpdated` in interface `MapListener`
  Parameters:
    `evt` - the MapEvent carrying the update information

### entryDeleted

    public void entryDeleted(MapEvent evt)

  Invoked when a map entry has been removed.
  Specified by:
    `entryDeleted` in interface `MapListener`
  Parameters:
    `evt` - the MapEvent carrying the delete information

### hashCode

    public int hashCode()

  Determine a hash value for the WrapperSynchronousListener object according to the general `Object.hashCode()` contract.
  Returns:
    an integer hash value for this WrapperSynchronousListener

### equals

    public boolean equals(java.lang.Object o)

  Compare the ConverterMapListener with another object to determine equality.
  Returns:
    true iff this ConverterMapListener and the passed object are equivalent listeners

### getObservableMap

    public ObservableMap getObservableMap()

  Return the underlying ObservableMap.
  Returns:
    the underlying ObservableMap

### getMapListener

    public MapListener getMapListener()

  Return the underlying MapListener.
  Returns:
    the underlying MapListener

### getConverterKeyUp

    public Converter getConverterKeyUp()

  Return the Converter used to view an underlying CacheEvent's key through.
  Returns:
    the Converter from an underlying CacheEvent's key

### getConverterValueUp

    public Converter getConverterValueUp()

  Return the Converter used to view an underlying CacheEvent's value through.
  Returns:
    the Converter from an underlying CacheEvent's value

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.